Tumbleweed - different version of kernel-devel

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Tumbleweed - different version of kernel-devel

Sunny_bg
I have upgraded to Tumbleweed from 12.1 with kernel-desktop ver. 3.4.0-25.2

I installed kernel-desktop-devel package, which is also ver
3.4.0-25.2, and it pulled down kernel-devel package, but it's version
is 3.4.0-25.1

This causes problem in building modules

# rpm -qa | grep kernel
kernel-desktop-3.4.0-25.2.x86_64
kernel-devel-3.4.0-25.1.noarch
kernel-desktop-devel-3.4.0-25.2.x86_64
kernel-firmware-20111025git-5.1.noarch

# zypper se -s kernel-devel
Loading repository data...
Reading installed packages...

S | Name         | Type    | Version      | Arch   | Repository
--+--------------+---------+--------------+--------+------------------------
i | kernel-devel | package | 3.4.0-25.1   | noarch | openSUSE:Tumbleweed
v | kernel-devel | package | 3.1.10-1.9.1 | noarch | openSUSE:Stable_Updates
v | kernel-devel | package | 3.1.9-1.4.1  | noarch | openSUSE:Stable_Updates
v | kernel-devel | package | 3.1.0-1.2.1  | noarch | openSUSE:Stable_OSS

--
Svetoslav Milenov (Sunny)

Artificial Intelligence is no match for natural stupidity.
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]